aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained/cherokee/cherokee.initd
diff options
context:
space:
mode:
Diffstat (limited to 'unmaintained/cherokee/cherokee.initd')
-rwxr-xr-xunmaintained/cherokee/cherokee.initd41
1 files changed, 41 insertions, 0 deletions
diff --git a/unmaintained/cherokee/cherokee.initd b/unmaintained/cherokee/cherokee.initd
new file mode 100755
index 0000000000..5e88e069c3
--- /dev/null
+++ b/unmaintained/cherokee/cherokee.initd
@@ -0,0 +1,41 @@
+#!/sbin/runscript
+
+# Cherokee init.d file for alpine linux.
+
+NAME=cherokee
+DAEMON=/usr/sbin/$NAME
+DAEMON_USER=${DAEMON_USER:-root}
+DAEMON_GROUP=${DAEMON_GROUP:-root}
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting ${NAME}"
+ start-stop-daemon --start --quiet \
+ --pidfile /var/run/${NAME}.pid \
+ --user ${DAEMON_USER}:${DAEMON_GROUP} \
+ --exec ${DAEMON} -- ${OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${NAME}"
+ start-stop-daemon --stop --quiet \
+ --exec ${DAEMON} \
+ --pidfile /var/run/${NAME}.pid
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading ${NAME}"
+ if ! service_started "${NAME}" ; then
+ eend 1 "${NAME} is not started"
+ return 1
+ fi
+ start-stop-daemon --stop --oknodo --signal HUP \
+ --exec ${DAEMON} --pidfile /var/run/${NAME}.pid
+ eend $?
+}
+